Get Business Data Tripadvisor Search Results by id

 
This endpoint will provide you with data on businesses listed on the Tripadvisor platform. The results obtained through this endpoint are specific to the location (see the List of Tripadvisor Locations) and keyword parameters used in the POST request.

The returned results are specific to the indicated business identifier or keyword, as well as location parameter. We emulate set parameters with the highest accuracy so that the results you receive will match the actual search results for the specified parameters at the time of task setting. You can always check the returned results accessing the check_url in the Incognito mode to make sure the received data is entirely relevant. Note that user preferences, search history, and other personalized search factors are ignored by our system and thus would not be reflected in the returned results.

checked GET
Pricing

Your account will be charged only for setting a task. You can get the results of the task within the next 30 days for free.
The cost can be calculated on the Pricing page.

Description of the fields for sending a request:

Field nameTypeDescription
idstring

task identifier
unique task identifier in our system in the UUID format
you will be able to use it within 30 days to request the results of the task at any time


‌‌‌‌
‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

You can also get all available SERP features by making a request to the following Sandbox URL:
https://sandbox.dataforseo.com/v3/business_data/tripadvisor/search/task_get/00000000-0000-0000-0000-000000000000
The response will include all available items in the Tripadvisor Search endpoint with the fields containing dummy data.
You won’t be charged for using Sandbox endpoints.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array that were returned an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        keywordstring

keyword received in a POST array
this field will contain the alias parameter if it was specified in a POST array

        se_domainstring

search engine domain in a POST array

        location_codestring

location code in a POST array

        language_codestring

language code in a POST array

        check_urlstring

direct URL to Tripadvisor results
you can use it to make sure that we provided accurate results

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        item_typesarray

item types encountered in the result
possible item types: tripadvisor_search_organic

        se_results_countinteger

the total number of results

        items_countinteger

the number of items in the results array
you can get more results by using the depth parameter when setting a task

        itemsarray

Tripadvisor search listing results
you can get more results by using the depth parameter when setting a task

            typestring

type of Tripadvisor search result
possible types: tripadvisor_search_organic

            rank_groupinteger

position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank among all the listed results
absolute position among all reviews on the list

            titlestring

name of the business entity

            url_pathstring

URL path of the business entity
URL path to the Tripadvisor page of the business entity
you can use this identifier to collect reviews for the business entity using Tripadvisor Reviews

            is_sponsoredboolean

indicates a sponsored placement
if true, related tripadvisor_search_organic item is a paid advertising on Tripadvisor

            reviews_countinteger

the total number of reviews

            categorystring

place category

            price_ratestring

average price rate

            ratingobject

the rating score of the establishment submitted by the reviewers

                rating_typestring

the type of the rating
can take the following values: Max5

                valuefloat

the value of the rating

                votes_countinteger

the amount of feedback
indicates the number of votes the establishment obtained

                rating_maxinteger

the maximum value for a rating_type
the maximum value for Max5 is 5


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="04011058-0696-0199-0000-2196151a15cb" 
curl --location --request GET "https://api.dataforseo.com/v3/business_data/tripadvisor/search/task_get/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

try {
   $result = array();
   // #1 - using this method you can get a list of completed tasks
   // GET /v3/business_data/tripadvisor/search/tasks_ready
   $tasks_ready = $client->get('/v3/business_data/tripadvisor/search/tasks_ready');
   // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
   if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
      foreach ($tasks_ready['tasks'] as $task) {
         if (isset($task['result'])) {
            foreach ($task['result'] as $task_ready) {
               // #2 - using this method you can get results of each completed task
               // GET /v3/business_data/tripadvisor/search/task_get/$id
               if (isset($task_ready['endpoint'])) {
                  $result[] = $client->get($task_ready['endpoint']);
               }
               // #3 - another way to get the task results by id
               // GET /v3/business_data/tripadvisor/search/task_get/$id
               /*
               if (isset($task_ready['id'])) {
                  $result[] = $client->get('/v3/business_data/tripadvisor/search/task_get/' . $task_ready['id']);
               }
               */
            }
         }
      }
   }
   print_r($result);
   // do something with result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const task_id = '02231934-2604-0066-2000-570459f04879';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/business_data/tripadvisor/search/task_get/' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# 1 - using this method you can get a list of completed tasks
# GET /v3/business_data/tripadvisor/search/tasks_ready
response = client.get("/v3/business_data/tripadvisor/search/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response['status_code'] == 20000:
    results = []
    for task in response['tasks']:
        if (task['result'] and (len(task['result']) > 0)):
            for resultTaskInfo in task['result']:
                # 2 - using this method you can get results of each completed task
				# GET /v3/business_data/tripadvisor/search/task_get/$id
                if(resultTaskInfo['endpoint']):
                    results.append(client.get(resultTaskInfo['endpoint']))
                '''
                # 3 - another way to get the task results by id
                # GET /v3/business_data/tripadvisor/search/task_get/$id              
                if(resultTaskInfo['id']):
                    results.append(client.get("/v3/business_data/tripadvisor/search/task_get/" + resultTaskInfo['id']))
                '''
    print(results)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task business_data_tripadvisor_reviews_task_get()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // #1 - using this method you can get a list of completed tasks
            // GET /v3/business_data/tripadvisor/search/tasks_ready
            var response = await httpClient.GetAsync("/v3/business_data/tripadvisor/search/tasks_ready");
            var tasksInfo = JsonConvert.DeserializeObject<<dynamic>>(await response.Content.ReadAsStringAsync());
            var tasksResponses = new List<<object>>();
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (tasksInfo.status_code == 20000)
            {
                if (tasksInfo.tasks != null)
                {
                    foreach (var tasks in tasksInfo.tasks)
                    {
                        if (tasks.result != null)
                        {
                            foreach (var task in tasks.result)
                            {
                                if (task.endpoint != null)
                                {
                                    // #2 - using this method you can get results of each completed task
                                    // GET /v3/business_data/tripadvisor/search/task_get/$id
                                    var taskGetResponse = await httpClient.GetAsync((string)task.endpoint);
                                    var taskResultObj = JsonConvert.DeserializeObject<<dynamic>>(await taskGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    // #3 - another way to get the task results by id
                                    // GET /v3/business_data/tripadvisor/search/task_get//$id
                                    /*
                                    var tasksGetResponse = await httpClient.GetAsync("/v3/business_data/tripadvisor/search/task_get/" + (string)task.id);
                                    var taskResultObj = JsonConvert.DeserializeObject<<dynamic>>(await tasksGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    */
                                }
                            }
                        }
                    }
                }
                if (tasksResponses.Count > 0)
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, tasksResponses));
                else
                    Console.WriteLine("No completed tasks");
            }
            else
                Console.WriteLine($"error. Code: {tasksInfo.status_code} Message: {tasksInfo.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20220819",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0855 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "11081142-1535-0393-0000-08d8ca1f3756",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0210 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "business_data",
        "tripadvisor",
        "search",
        "task_get",
        "11081142-1535-0393-0000-08d8ca1f3756"
      ],
      "data": {
        "se_type": "organic",
        "se": "tripadvisor",
        "api": "business_data",
        "function": "search",
        "keyword": "pizza",
        "location_code": 1003854,
        "depth": 10,
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "pizza",
          "se_domain": "tripadvisor.com",
          "location_code": 1003854,
          "language_code": null,
          "check_url": "https://www.tripadvisor.com/Search?q=pizza&geo=187323",
          "datetime": "2022-11-08 09:43:06 +00:00",
          "item_types": [
            "tripadvisor_search_organic"
          ],
          "se_results_count": 0,
          "items_count": 30,
          "items": [
            {
              "type": "tripadvisor_search_organic",
              "rank_group": 1,
              "rank_absolute": 1,
              "title": "1. Salami Social Club",
              "url_path": "/Restaurant_Review-g187323-d10716782-Reviews-Salami_Social_Club-Berlin.html",
              "is_sponsored": false,
              "reviews_count": 245,
              "category": "Italian, Pizza",
              "price_rate": "$",
              "rating": {
                "rating_type": "Max5",
                "value": 4.5,
                "votes_count": null,
                "rating_max": 5
              }
            },
            {
              "type": "tripadvisor_search_organic",
              "rank_group": 2,
              "rank_absolute": 2,
              "title": "2. Evin Pizza Pasta",
              "url_path": "/Restaurant_Review-g187323-d10373640-Reviews-Evin_Pizza_Pasta-Berlin.html",
              "is_sponsored": false,
              "reviews_count": 339,
              "category": "Italian, Pizza",
              "price_rate": "$",
              "rating": {
                "rating_type": "Max5",
                "value": 4.5,
                "votes_count": null,
                "rating_max": 5
              }
            },
            {
              "type": "tripadvisor_search_organic",
              "rank_group": 3,
              "rank_absolute": 3,
              "title": "3. Papa Pane di Sorrento",
              "url_path": "/Restaurant_Review-g187323-d754673-Reviews-Papa_Pane_di_Sorrento-Berlin.html",
              "is_sponsored": false,
              "reviews_count": 856,
              "category": "Italian, Pizza",
              "price_rate": "$$ - $$$",
              "rating": {
                "rating_type": "Max5",
                "value": 4,
                "votes_count": null,
                "rating_max": 5
              }
            },
            {
              "type": "tripadvisor_search_organic",
              "rank_group": 4,
              "rank_absolute": 4,
              "title": "4. Simela",
              "url_path": "/Restaurant_Review-g187323-d1930250-Reviews-Simela-Berlin.html",
              "is_sponsored": false,
              "reviews_count": 328,
              "category": "Italian, Pizza",
              "price_rate": "$$ - $$$",
              "rating": {
                "rating_type": "Max5",
                "value": 4.5,
                "votes_count": null,
                "rating_max": 5
              }
            },
            {
              "type": "tripadvisor_search_organic",
              "rank_group": 5,
              "rank_absolute": 5,
              "title": "5. Pizza Peppino",
              "url_path": "/Restaurant_Review-g187323-d6978250-Reviews-Pizza_Peppino-Berlin.html",
              "is_sponsored": false,
              "reviews_count": 316,
              "category": "Mediterranean, Italian",
              "price_rate": "$",
              "rating": {
                "rating_type": "Max5",
                "value": 4.5,
                "votes_count": null,
                "rating_max": 5
              }
            }
          ]
        }
      ]
    }
  ]
}